package sqlconnect;

import java.util.ArrayList;

public class Item {
    public ArrayList<String> key=new ArrayList<String>();
    public ArrayList<String> type=new ArrayList<String>();
    public int size=0;
    public void print(ArrayList<ArrayList<String>> arrayLists){
        for(int i=0;i<size;i++){
            System.out.printf("%-20s ",key.get(i)+"("+type.get(i)+")");
        }
        System.out.println();
        for(int i=0;i<arrayLists.size();i++){
            ArrayList<String> tmp=arrayLists.get(i);
            for(int j=0;j<tmp.size();j++){
                System.out.printf("%-20s ",tmp.get(j));
            }
            System.out.println();
        }
        System.out.println();
    }
}
